This project has moved. For the latest updates, please go here.

RSS feed version throwing error

Topics: Developer Forum
Jan 3, 2010 at 2:04 PM

I'm finding that a number of RSS feeds can't be consumed which I think is down to the version of the RSS feed not being supported.

Can anyone confirm whether all versions are supported?

The feeds I'm testing with are as follows.

 

http://feeds.space.com/spaceheadlines

http://www.jaxa.jp/rss/new_e.rdf

http://www.jaxa.jp/rss/press_e.rdf

 

In the case of the top one, the following error is thrown.

{"The value of the 'version' attribute does not equal its fixed value."}

The version being reported is 0.91 but I think this is the same version as the BBC RSS feeds so should be supported.

 

Does anyone know if these feeds should be consumable or what may be causing these feeds to fail when others such as the NASA and ESA feeds work fine?

Thanks in advance